Bug 30871 - Make it clear that 008 Type of Material is controlled by Leader 6th position in MARC21
Summary: Make it clear that 008 Type of Material is controlled by Leader 6th position ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-31 12:54 UTC by Nick Clemens
Modified: 2023-12-28 20:43 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact: Caroline Cyr La Rose
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/678
Text to go in the release notes:
This enhancement adds title elements or clarifies existing title elements to indicate how default values are chosen (for both the default and advanced editor).
Version(s) released in:
22.11.00, 22.05.04, 21.11.11


Attachments
Bug 30871: Add/expand title text for LDR/06 and 008 Type of material (3.02 KB, patch)
2022-05-31 13:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30871: Add notes in advanced cataloging editor (2.36 KB, patch)
2022-05-31 13:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30871: Add/expand title text for LDR/06 and 008 Type of material (3.07 KB, patch)
2022-05-31 19:33 UTC, David Nind
Details | Diff | Splinter Review
Bug 30871: Add notes in advanced cataloging editor (2.41 KB, patch)
2022-05-31 19:33 UTC, David Nind
Details | Diff | Splinter Review
Bug 30871: Add/expand title text for LDR/06 and 008 Type of material (3.13 KB, patch)
2022-06-16 10:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30871: Add notes in advanced cataloging editor (2.47 KB, patch)
2022-06-16 10:39 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-05-31 12:54:34 UTC

    
Comment 1 Nick Clemens 2022-05-31 13:04:21 UTC
Created attachment 135493 [details] [review]
Bug 30871: Add/expand title text for LDR/06 and 008 Type of material

This patch simply adds title elements or clarifies existing title elements to indicate how default
values are chosen

To test:
1 - Create new record in default editor
2 - Open leader helper, hover over "6-Type of record" and the dropdown
3 - Confirm notes make sense
4 - Open 008 helper
5 - Hover over 'Type of Material' and dropdown
6 - Confirm notes make sense
Comment 2 Nick Clemens 2022-05-31 13:04:25 UTC
Created attachment 135494 [details] [review]
Bug 30871: Add notes in advanced cataloging editor

This is the same as preevious patch, but for advanced cataloging editor

To test:
1 - Enable EnableAdvancedCatalogingEditor
2 - Create a new record in advanced edtior
3 - Hover over leader6 and 008 type
4 - Confirm notes are useful
Comment 3 David Nind 2022-05-31 19:33:43 UTC
Created attachment 135517 [details] [review]
Bug 30871: Add/expand title text for LDR/06 and 008 Type of material

This patch simply adds title elements or clarifies existing title elements to indicate how default
values are chosen

To test:
1 - Create new record in default editor
2 - Open leader helper, hover over "6-Type of record" and the dropdown
3 - Confirm notes make sense
4 - Open 008 helper
5 - Hover over 'Type of Material' and dropdown
6 - Confirm notes make sense

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2022-05-31 19:33:48 UTC
Created attachment 135518 [details] [review]
Bug 30871: Add notes in advanced cataloging editor

This is the same as preevious patch, but for advanced cataloging editor

To test:
1 - Enable EnableAdvancedCatalogingEditor
2 - Create a new record in advanced edtior
3 - Hover over leader6 and 008 type
4 - Confirm notes are useful

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2022-05-31 19:37:31 UTC
Testing notes (using koha-testing-docker):

1. I amended the second patch for the advanced editor to add a full stop at the end of the sentence ("..controlled by Leader/06.") - maybe I should have done as a follow-up?

2. I changed the assignee to Nick.

A nice clarification and improvement!
Comment 6 Martin Renvoize 2022-06-16 10:39:29 UTC
Created attachment 136147 [details] [review]
Bug 30871: Add/expand title text for LDR/06 and 008 Type of material

This patch simply adds title elements or clarifies existing title elements to indicate how default
values are chosen

To test:
1 - Create new record in default editor
2 - Open leader helper, hover over "6-Type of record" and the dropdown
3 - Confirm notes make sense
4 - Open 008 helper
5 - Hover over 'Type of Material' and dropdown
6 - Confirm notes make sense

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-06-16 10:39:33 UTC
Created attachment 136148 [details] [review]
Bug 30871: Add notes in advanced cataloging editor

This is the same as preevious patch, but for advanced cataloging editor

To test:
1 - Enable EnableAdvancedCatalogingEditor
2 - Create a new record in advanced edtior
3 - Hover over leader6 and 008 type
4 - Confirm notes are useful

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2022-06-16 10:40:02 UTC
Simple improvement, passing qa
Comment 9 Tomás Cohen Arazi 2022-06-25 14:18:14 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 10 Lucas Gass 2022-07-29 16:05:09 UTC
Backported to 22.05.x for 22.05.04. 


Added a tiny follow-up to fix a forbidden character FAIL
Comment 11 Arthur Suzuki 2022-08-11 09:32:14 UTC
backported to 21.11.x for 21.11.11
Comment 12 Victor Grousset/tuxayo 2022-08-13 16:15:05 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.